version: '2.2'

services:

  geoserver:
    image: geonode/geoserver:2.17.4
    build:
      context: .
      args:
        - DOCKERHOST
        - GEONODE_HOST_IP
        - PUBLIC_PORT=80
    links:
      - postgis
    ports:
      - "8080:8080"
    volumes:
      - /geoserver_data/data
    environment:
      - DOCKERHOST
      - GEONODE_HOST_IP
      - PUBLIC_PORT=80
      - DOCKER_HOST_IP
      - DJANGO_URL=http://localhost/

  data_dir_conf:
    image: geonode/geoserver_data:2.17.4
    container_name: geoserver_data_dir # named data container
    command: /bin/true
    volumes:
      - /geoserver_data/data

  postgis:
    image: geonode/postgis:13
    ports:
      - "25432:5432"
    volumes:
      - /srv/docker/geoserver/postgis:/var/lib/postgresql
    #volumes_from:
      #- pgstore

volumes:
  # reference to the named data container that holds the preloaded geoserver data directory
  geoserver_data_dir:
